##############################
#    IRDSI NeoStats Config   #
##############################

SERVER_NAME neostats.irdsi.net

SERVER_PORT 7000

CONNECT_TO 62.165.159.199

CONNECT_PASS webegood

SERVER_INFOLINE "IRDSI Irc Network Auxiliary Services"

SERVER_NUMERIC "214"

STATSERV_NETNAME services

NEOSTAT_HOST services.irdsi.net

NEOSTAT_USER NeoStats

SERVICES_CHAN #Services

RECONNECT_TIME 10

ONLY_OPERS

BINDTO 62.165.159.199

# LOGFILENAMEFORMAT <format> [OPTIONAL]
#    Defines the format for dated log files. This allows you to choose 
#    what date format is used for log file names when they are rotated at 
#    midnight. The option uses the parameters passed to strftime so you 
#    can use any options valid for that function. Common ones are:
#        %a  Abbreviated weekday name 
#        %A  Full weekday name 
#        %b  Abbreviated month name 
#        %B  Full month name 
#        %d  Day of month as decimal number (01 – 31) 
#        %m  Month as decimal number (01 – 12) 
#        %y  Year without century, as decimal number (00 – 99) 
#        %Y  Year with century, as decimal number 
#
#    Examples using 30 September 2003 as the date:
#    For NeoStats0930.log:
#        
#        LOGFILENAMEFORMAT %m%d
#    
#    For NeoStats20030930.log:
#    
#        LOGFILENAMEFORMAT %Y%m%d      
#    
#    If not defined, the default is the original NeoStats log format of
#    "-%m-%d" i.e. NeoStats-09-30.log

LOGFILENAMEFORMAT -%m-%d

SETSERVERTIMES 24

#####################################
# Module Configurations and Loading #
#####################################

# LOAD_MODULE <module name> [OPTIONAL]
#    What modules to load at start-up. e.g. 
#        
#        LOAD_MODULE statserv
#    
#    Will load up StatServ at boot
#    
#    Multiple instances of LOAD_MODULE may be specified 

# this is the StatServ Module
#LOAD_MODULE statserv

#This is a new module.  LoveServ, send a rose, hug, kiss, chocolate, etc to that
# Special IRC Somebody. :D
#LOAD_MODULE loveserv

# The HostServ module provides vhost services
LOAD_MODULE hostserv

# MoraleServ. A fun module to cheer people up.
#LOAD_MODULE moraleserv

# ConnectServ will watch all connections to the network and can report them
# to the services channel. It can also watch and report Nickname changes.
#LOAD_MODULE connectserv


########################################
# NeoStats ROOT users (ExtAuth module) #
########################################

#SERVICE_ROOTS <nick!user@host> [OPTIONAL]
#    Who should get access to NeoStats regardless of their O line flags. 
#    You can specify this option up to 10 times to specify different 
#    nicks who will be allowed this privilege. e.g.
#    
#        SERVICE_ROOTS fish!?Fish@*.neostats.net
#        
#    Will give "fish" access to NeoStats Privileged commands if fish has 
#    Umode +r and comes from the specified hostname and ident. 

SERVICE_ROOTS thirtysix!*@*
#SERVICE_ROOTS ^Enigma^!*@*.au
#SERVICE_ROOTS Fish!?Fish@*.dynam.ac

# Options for configuring StatServ are set on IRC. Load StatServ and type
# /msg statserv help set.

###############################################################################
## End of Configuration                                                      ##
###############################################################################
